# Helpers for manipulating glibc sched affinity

## Functions

static __hwloc_inline int | hwloc_cpuset_to_glibc_sched_affinity (hwloc_topology_t topology __hwloc_attribute_unused, hwloc_const_cpuset_t hwlocset, cpu_set_t *schedset, size_t schedsetsize)
| Convert hwloc CPU set `toposet` into glibc sched affinity CPU set `schedset`.
static __hwloc_inline int | hwloc_cpuset_from_glibc_sched_affinity (hwloc_topology_t topology __hwloc_attribute_unused, hwloc_cpuset_t hwlocset, const cpu_set_t *schedset, size_t schedsetsize)
| Convert glibc sched affinity CPU set `schedset` into hwloc CPU set.

## Function Documentation

static __hwloc_inline int hwloc_cpuset_from_glibc_sched_affinity | ( | hwloc_topology_t topology | __hwloc_attribute_unused,
|  | hwloc_cpuset_t | hwlocset,
|  | const cpu_set_t * | schedset,
|  | size_t | schedsetsize |
| ) |  |  | `[static]`

Convert glibc sched affinity CPU set `schedset` into hwloc CPU set.

This function may be used before calling sched_setaffinity or any other function that takes a cpu_set_t as input parameter.

`schedsetsize` should be sizeof(cpu_set_t) unless `schedset` was dynamically allocated with CPU_ALLOC

static __hwloc_inline int hwloc_cpuset_to_glibc_sched_affinity | ( | hwloc_topology_t topology | __hwloc_attribute_unused,
|  | hwloc_const_cpuset_t | hwlocset,
|  | cpu_set_t * | schedset,
|  | size_t | schedsetsize |
| ) |  |  | `[static]`

Convert hwloc CPU set `toposet` into glibc sched affinity CPU set `schedset`.

This function may be used before calling sched_setaffinity or any other function that takes a cpu_set_t as input parameter.

`schedsetsize` should be sizeof(cpu_set_t) unless `schedset` was dynamically allocated with CPU_ALLOC